GREED(6)							      GREED(6)



NAME
       greed - eat a game field until you run out of moves

SYNOPSIS
       greed [-s]


DESCRIPTION
       The  object  of	Greed is to erase as much of the screen as possible by
       moving around in a grid of numbers. To move  your  cursor,  simply  use
       your  arrow keys or the the 'hjklyubn' keys or your numberic Your loca-
       tion is signified by the @ symbol.


       When you move in a direction, you erase N number	 of  grid  squares  in
       that  direction, N being the first number in that direction. Your score
       reflects the total number of squares eaten.


       Greed will not let you make a move that would have placed you  off  the
       grid  or	 over a previously eaten square. If no valid moves exist, your
       game ends.


       Other Greed commands are 'Ctrl-L' to redraw the screen, 'p'  to	toggle
       the highlighting of the possible moves, and 'q' to quit.


       The  only  ommand line option to Greed is '-s' to output the high score
       file.


ENVIRONMENT
       Greed will detect color curses(3) support at compilation time.  If  you
       have  it,  Greed will generate the board in color, one color to each of
       the digit values. This will also	 enable	 checking  of  an  environment
       variable	 GREEDOPTS  to	override  the default color set, which will be
       parsed as a string of the form:

	    <c1><c2><c3><c4><c5><c6><c7><c8><c9>[:[p]]


       where <cn> is a character decribing the color for digit	n.  The	 color
       letters are read as follows:

	    b  =  blue,	      g = green,      c = cyan,	     r = red,	   m =
       magenta,	     y = yellow,      w = white.


       In addition, capitalizing a letter turns on the	A_BOLD	attribute  for
       that letter.


       If  the	string	ends with a trailing :, letters following are taken as
       game options. At present, only 'p' (equivalent to an initial  'p'  com-
       mand) is defined.


FILES
       /usr/lib/games/greed.hs
	      Default location of Greed high scores.


AUTHORS
       Originally  written by Matt Day. Maintained by <esr@snark.thyrsus.com>.
       See ESR's home page  at	http://www.tuxedo.org/~esr/  for  updates  and
       other resources.


BUGS
       This  really  ought  to be an X game, but that would have been too much
       like work.




								      GREED(6)
