RUN(1)				  run 1.1.13				RUN(1)



NAME
       run - start programs with hidden console window


SYNOPSIS
       run [ -p path ] command [ -wait ] arguments

       runcommand [ -p path ] [ -wait ] arguments


DESCRIPTION
       Windows	programs  are  either  GUI  programs or console programs. When
       started console	programs  will	either	attach	to an existing console
       or  create a new one. GUI programs can  never attach to an exiting con-
       sole. There is no way to attach to an existing console but hide	it  if
       started as GUI program.

       run  will  do this for you. It works  as intermediate and starts a pro-
       gram but makes the console window hidden.

       With -p path you can add path to the PATH environment variable.

       Issuing -wait as first program  argument will make run wait for program
       completition, otherwise it returns immediately.

       The  second  variant  is	 for   creating wrappers. If the executable is
       named runcommand (eg runemacs), run will try  to start the program  (eg
       emacs).


EXAMPLES
       run -p /usr/X11R6/bin xterm

       run emacs -wait
       runemacs -wait

       run make -wait


AUTHORS
       Charles S. Wilson

       Harold L Hunt II

       Jehan Bing

       Alexander Gottwald




Version 1.1.13			 November 2005				RUN(1)
