HTTPING(1)							    HTTPING(1)



NAME
       httping - ping-like program but for http-requests

SYNOPSIS
       httping	[-g][-h] [ -p port] [ -x proxy:port ] [ -c count ] [ -i inter-
       val ] [ -t timeout ] [ -slfm ] [ -o rc,rrc,... ] [ -e string ] [	 -q  ]
       url

DESCRIPTION
       Given  an  URL,	httping will show how long it takes to connect, send a
       request and retrieve the reply (only the headers).

OPTIONS
       -g url_addr
	      Specify the URL to ping (e.g. -g http://localhost/)

       -h hostname
	      Specify hostname to use (e.g. -h localhost) -l  Specify  OpenSSL
	      support

       -p port_nr
	      Specify port number to connect

       -x proxy:port
	      Indicate	the  proxy and port which httping will use, in case of
	      needed.

       -c ping_nr
	      How many times it will connect

       -i interval
	      Number of seconds to delay between connection

       -t timeout
	      Number of seconds to timeout (the default is 30)

       -s     Show status codes.

       -f     Flood connection: No delays.

       -m     Give machine parseable output.

       -o rc, rc, ...
	      What HTTP results codes indicate 'ok'. This  should  go  WITHOUT
	      spaces between each other.

       -e string
	      String to display when HTTP result code doesn't match

       -q     Keep quiet: Only return codes.

SEE ALSO
       ping(1).

AUTHOR
       httping was written by Folkert Van Heusden <folkert@vanheusden>.
       This manual page was written by David Moreno Garza <damog@damog.net>.




				 May  4, 2004			    HTTPING(1)
