LOGIN(1)			 Cygwin Manual			      LOGIN(1)



NAME
       login - sign on

SYNOPSIS
       login [ name ]
       login -p
       login -h hostname
       login -f name

DESCRIPTION
       login is used when signing onto a system.  If an argument is not given,
       login prompts for the username.

       If the file /etc/nologin exists, the content of the file is written  to
       stdout and nobody is permitted to log into the system.

       Random  administrative  things,	such as setting the UID and GID of the
       tty are performed.  The TERM environment variable is preserved,	if  it
       exists  (other  environment variables are preserved if the -p option is
       used).  Then the HOME, PATH, SHELL, MAIL, and LOGNAME environment vari-
       ables are set.  PATH is not changed from the system PATH if it's found.
       Otherwise PATH defaults to /usr/local/bin:/bin:/usr/bin.

       Authentication is done via SAM database on NT/W2K systems  and  via  56
       bit DES passwords in /etc/passwd, on W9X systems.

       The user's shell is then started. If no shell is specified for the user
       in /etc/passwd, then /bin/sh is used.  If there is no directory	speci-
       fied  in /etc/passwd, then / is used (the home directory is checked for
       the .hushlogin file described above).

OPTIONS
       -p     Used by getty(8) to tell login not to destroy  the  environment.
	      This is disabled in the Cygwin version.

       -f     Used  to	skip a second login authentication.  This specifically
	      does not work for root.

       -h     Used by other servers (i.e., telnetd(8)) to pass the name of the
	      remote host to login so that it may be placed in utmp and wtmp.


FILES
       /var/run/utmp
       /var/log/wtmp
       /var/log/lastlog
       /etc/passwd

SEE ALSO
       passwd(1), passwd(5), environ(7), telnetd(8).

BUGS
       Perhaps.


AUTHOR
       Derived	from  BSD  login  5.32.1.1  (1/28/89)  and ported to Cygwin by
       Sergey Okhapkin (sos@prospect.com.ru)
       Added new features: Corinna Vinschen <vinschen@cygnus.com>



Cygwin Login 1.2		  17 May 2000			      LOGIN(1)
