READPST(1)                                                          READPST(1)



NAME
       readpst  - convert PST (MS Outlook Personal Folders) files to mbox for-
       mat

SYNOPSIS
       readpst [options] files...

DESCRIPTION
       This manual page documents briefly the readpst command.

       readpst is a program that can read an Outlook  PST  (Personal  Folders)
       file  and  convert it into an mbox file, a format suitable for KMail, a
       recursive mbox structure, or seperate emails.

OPTIONS
       A summary of options is included below.

       -b     Do not save the attachments for the  RTF  format  of  the  email
              body.

       -c[lv] Set the Contact output mode. Use -cv for vcard format or -cl for
              an email list.

       -d     Specify name of debug log file. Defaults to  "readpst.log".  The
              log  file  isnt  an ascii file, it is a binary file readable by
              readpstlog.

       -h     Show summary of options and exit.

       -k     Changes the output format to KMail.

       -o     Specifies the  output  directory.  The  directory  must  already
              exist,  and  is entered after the PST file is opened, but before
              any processing of files commences.

       -q     Changes to silent mode. No feedback is printed  to  the  screen,
              except for error messages.

       -r     Changes the output format to Recursive. This will create folders
              as named in the PST file, and will put  all  emails  in  a  file
              called  "mbox" inside each folder. These files are then compati-
              ble with all mbox-compatible email clients.

       -S     Output messages into seperate files. This will create folders as
              named  in the PST file, and will put each email in its own file.
              These files will be numbered from 000000000 increasing in inter-
              vals of 1 (ie 000000000, 000000001, 0000000002). Any attachments
              are saved alongside each email as 000000000-attach0, or with the
              name of the attachment if one is present.

       -V     Show version of program and exit.

       -w     Overwrite  any previous output files. Beware: When used with the
              -S switch, this will remove all files  from  the  target  folder
              before  writing. This is to keep the count of emails and attach-
              ments correct.

SEE ALSO
       readpstlog(1)

AUTHOR
       This manual page was written by Dave Smith <dave.s@earthcorp.com>,  and
       updated  by Joe Nahmias <joe@nahmias.net> for the Debian GNU/Linux sys-
       tem (but may be used by others).



                               December 10, 2006                    READPST(1)
